SDL_QuitEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp

## Detailed Description

The "quit requested" event

Since
  This struct is available since SDL 3.2.0.

Definition at line 948 of file SDL_events.h.

## Field Documentation

## reserved

Uint32 SDL_QuitEvent::reserved

Definition at line 951 of file SDL_events.h.

## timestamp

Uint64 SDL_QuitEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 952 of file SDL_events.h.

## type

SDL_EventType SDL_QuitEvent::type

SDL_EVENT_QUIT

Definition at line 950 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h